<h3 class="text-center">FORMATIONS</h3>
<div *ngIf="isLogged" class="row text-center">
  <button class="btn btn-lg" data-toggle="modal" data-target="#ajouter" (click)="clearFormation()">Ajouter une formation <span class="glyphicon glyphicon-plus"></span></button>
</div>
<div *ngFor="let formation of formations; let index = index" class="row text-center">
  <div [className]="index % 2 ? 'col-sm-12 col-md-6 col-md-push-6' : 'col-sm-12 col-md-6'">
    <img [src]="getImageUrl(formation.imageId)" class="img-circle formation-img" [alt]="formation.nom">
  </div>
  <div [className]="index % 2 ? 'col-sm-12 col-md-6 col-md-pull-6' : 'col-sm-12 col-md-6'">
    <div class="row">
      <div class="col-sm-offset-4 col-sm-4 col-xs-offset-3 col-xs-4">
      <h3 class="formation-title text-center" [className]="index % 2 ? 'second-text-color' : 'first-text-color'"><strong>{{formation.nom | uppercase}}</strong></h3>
      </div>
      <div *ngIf="isLogged" class="col-xs-offset-1 col-xs-1">
        <button class="btn btn-lg btn-icon" data-toggle="modal" data-target="#modifier" title="modifier" (click)="selectFormation(formation)">
          <span class="glyphicon glyphicon-pencil"></span>
        </button>
      </div>
      <div class="col-xs-12">
        <p>{{formation.phrase}}</p>
        <p *ngFor="let point of formation.points">
          ✔ {{point}}
        </p>
        <h3 [className]="index % 2 ? 'second-text-color' : 'first-text-color'"><strong>À partir de {{formation.prix}}€</strong></h3>
        <p class="formation-plaquette"><a [routerLink]="'/plaquette-formation/' + formation.pdfId" routerLinkActive="active" [className]="index % 2 ? 'first-text-color' : 'second-text-color'"><strong>Consulter la plaquette détaillée</strong></a></p>
        <p><button [className]="index % 2 ? 'btn btn-lg second-style-button': 'btn btn-lg first-style-button'" appNavigateSection [section]="registrationSection">Je m'inscris</button></p>
      </div>
    </div>
  </div>
</div>

<!-- Ajouter Modal -->
<div id="ajouter" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" #closeCreationModal>&times;</button>
        <h4 class="modal-title">Formation</h4>
      </div>
      <div class="modal-body">
        <form role="form" (ngSubmit)="postFormation()" #addForm="ngForm">
          <div class="row">
            <div class="form-group col-md-6">
              <label for="newNom">Nom</label>
              <input id="newNom" name="newNom" [(ngModel)]="formation.nom" #newNom="ngModel"
                     [ngClass]="{ 'is-invalid': newNom.invalid && (newNom.dirty || newNom.touched), 'is-valid': newNom.valid && (newNom.dirty || newNom.touched) }"
                     required type="text" class="form-control">
              <div *ngIf="newNom.invalid && (newNom.dirty || newNom.touched)" class="invalid-feedback">
                <div *ngIf="newNom.errors?.['required']">Veuillez saisir un nom.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <div class="input-group">
                <label for="newPrix">Prix (en euros)</label>
                <input id="newPrix" name="newPrix" [(ngModel)]="formation.prix" #newPrix="ngModel"
                       [ngClass]="{ 'is-invalid': newPrix.invalid && (newPrix.dirty || newPrix.touched), 'is-valid': newPrix.valid && (newPrix.dirty || newPrix.touched) }"
                       required type="number" class="form-control">
                <div *ngIf="newPrix.invalid && (newPrix.dirty || newPrix.touched)" class="invalid-feedback">
                  <div *ngIf="newPrix.errors?.['required']">Veuillez saisir un prix.</div>
                </div>
              </div>
            </div>
            <div class="form-group col-md-12">
              <label for="newPhrase">Descriptif</label>
              <textarea id="newPhrase" name="newPhrase" [(ngModel)]="formation.phrase" #newPhrase="ngModel"
                        [ngClass]="{ 'is-invalid': newPhrase.invalid && (newPhrase.dirty || newPhrase.touched), 'is-valid': newPhrase.valid && (newPhrase.dirty || newPhrase.touched) }"
                        required class="form-control">
              </textarea>
              <div *ngIf="newPhrase.invalid && (newPhrase.dirty || newPhrase.touched)" class="invalid-feedback">
                <div *ngIf="newPhrase.errors?.['required']">Veuillez saisir une phrase.</div>
              </div>
            </div>
            <div class="form-group col-md-12">
              <label for="newPoints">Points</label>
              <div class="row">
                <div class="col-xs-10">
                  <input id="newPoints" name="newPoints" [(ngModel)]="point" class="form-control">
                </div>
                <div class="col-xs-2">
                  <button class="btn btn-icon" [disabled]="point === ''" (click)="addPoint()"><span class="glyphicon glyphicon-plus"></span></button>
                </div>
                <div *ngFor="let p of formation.points; let index = index">
                  <div class="col-xs-10">
                    <input type="text" [value]="p" class="form-control">
                  </div>
                  <div class="col-xs-2">
                    <button class="btn btn-icon" (click)="removePoint(index)"><span class="glyphicon glyphicon-minus"></span></button>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <label for="newPdf">Plaquette {{formation.nom}}</label>
              <input type="file" id="newPdf" name="newPdf" accept="application/pdf" [(ngModel)]="pdfFile" #newPdf="ngModel" appRequireFileValidator class="form-control">
              <div *ngIf="newPdf.invalid && (newPdf.dirty || newPdf.touched)" class="invalid-feedback">
                <div *ngIf="newPdf.errors?.['required']">Veuillez saisir un pdf.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <label for="newImage">Image</label>
              <input type="file" id="newImage" name="newImage" accept="image/jpeg" [(ngModel)]="imageFile" #newImage="ngModel" appRequireFileValidator class="form-control">
              <div *ngIf="newImage.invalid && (newImage.dirty || newImage.touched)" class="invalid-feedback">
                <div *ngIf="newImage.errors?.['required']">Veuillez saisir une image.</div>
              </div>
            </div>
          </div>
          <button type="submit" class="btn btn-block" [disabled]="addForm.invalid">Confirmer
            <span class="glyphicon glyphicon-ok"></span>
          </button>
        </form>
      </div>
      <div class="modal-footer">
        <button class="btn btn-danger btn-default pull-left" data-dismiss="modal">
          <span class="glyphicon glyphicon-remove"></span> Annuler
        </button>
      </div>
    </div>
  </div>
</div>

<!-- Modifier Modal -->
<div id="modifier" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" #closeModificationModal>&times;</button>
        <h4 class="modal-title">{{formation.nom}}</h4>
      </div>
      <div class="modal-body">
        <form role="form" (ngSubmit)="setFormation()" #modificationForm="ngForm">
          <div class="row">
            <div class="form-group col-md-6">
              <label for="nom">Nom</label>
              <input id="nom" name="nom" [(ngModel)]="formation.nom" #nom="ngModel"
                     [ngClass]="{ 'is-invalid': nom.invalid && (nom.dirty || nom.touched), 'is-valid': nom.valid && (nom.dirty || nom.touched) }"
                     required type="text" class="form-control">
              <div *ngIf="nom.invalid && (nom.dirty || nom.touched)" class="invalid-feedback">
                <div *ngIf="nom.errors?.['required']">Veuillez saisir un nom.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <div class="input-group">
                <label for="prix">Prix (en euros)</label>
                <input id="prix" name="prix" [(ngModel)]="formation.prix" #prix="ngModel"
                       [ngClass]="{ 'is-invalid': prix.invalid && (prix.dirty || prix.touched), 'is-valid': prix.valid && (prix.dirty || prix.touched) }"
                       required type="number" class="form-control">
                <div *ngIf="prix.invalid && (prix.dirty || prix.touched)" class="invalid-feedback">
                  <div *ngIf="prix.errors?.['required']">Veuillez saisir un prix.</div>
                </div>
              </div>
            </div>
            <div class="form-group col-md-12">
              <label for="phrase">Descriptif</label>
              <textarea id="phrase" name="phrase" [(ngModel)]="formation.phrase" #phrase="ngModel"
                     [ngClass]="{ 'is-invalid': phrase.invalid && (phrase.dirty || phrase.touched), 'is-valid': phrase.valid && (phrase.dirty || phrase.touched) }"
                     required class="form-control">
              </textarea>
              <div *ngIf="phrase.invalid && (phrase.dirty || phrase.touched)" class="invalid-feedback">
                <div *ngIf="phrase.errors?.['required']">Veuillez saisir une phrase.</div>
              </div>
            </div>
            <div class="form-group col-md-12">
              <label for="points">Points</label>
              <div class="row">
                <div class="col-xs-10">
                  <input id="points" name="points" [(ngModel)]="point" class="form-control">
                </div>
                <div class="col-xs-2">
                  <button class="btn btn-icon" [disabled]="point === ''" (click)="addPoint()"><span class="glyphicon glyphicon-plus"></span></button>
                </div>
                <div *ngFor="let p of formation.points; let index = index">
                  <div class="col-xs-10">
                    <input type="text" [value]="p" class="form-control" readonly>
                  </div>
                  <div class="col-xs-2">
                    <button class="btn btn-icon" (click)="removePoint(index)"><span class="glyphicon glyphicon-minus"></span></button>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <label for="pdf">Plaquette {{formation.nom}}</label>
              <input type="file" id="pdf" name="pdf" accept="application/pdf" [(ngModel)]="pdfFile" class="form-control">
            </div>
            <div class="form-group col-md-6">
              <label for="image">Image</label>
              <input type="file" id="image" name="image" accept="image/jpeg" [(ngModel)]="imageFile" class="form-control">
            </div>
          </div>
          <button type="submit" class="btn btn-block" [disabled]="modificationForm.invalid">Confirmer
            <span class="glyphicon glyphicon-ok"></span>
          </button>
        </form>
      </div>
      <div class="modal-footer">
        <button class="btn btn-danger btn-default pull-left" data-dismiss="modal">
          <span class="glyphicon glyphicon-remove"></span> Annuler
        </button>
        <button class="btn btn-danger btn-default pull-left" (click)="deleteFormation(formation.id)">
          <span class="glyphicon glyphicon-trash"></span> Supprimer
        </button>
      </div>
    </div>
  </div>
</div>
